Game Develop C++ Platform: FileTools.cpp File Reference

| Game Develop C++ Platform Platform for developing native games based on OpenGL and SFML with Game Develop

- Main Page
- Modules
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Groups Pages
Functions
FileTools.cpp File Reference
`#include <boost/shared_ptr.hpp>`
`#include <string>`
`#include <iostream>`
`#include <sstream>`
`#include "GDCpp/RuntimeScene.h"`
`#include "GDCpp/Variable.h"`
`#include "GDCpp/CommonTools.h"`
`#include "GDCpp/XmlFilesHelper.h"`
`#include "FileTools.h"`

## Functions

bool GD_API | FileExists (const std::string &file)
bool GD_API | GroupExists (const std::string &filename, const std::string &group)
void GD_API | LaunchFile (const std::string &file)
void GD_API | ExecuteCmd (const std::string &cmd)
void GD_API | GDDeleteFile (const std::string &filename)
void GD_API | LoadFileInMemory (const std::string &filename)
void GD_API | UnloadFileFromMemory (const std::string &filename)
void GD_API | DeleteGroupFromFile (const std::string &filename, const std::string &group)
void GD_API | WriteValueInFile (const std::string &filename, const std::string &group, double value)
void GD_API | WriteStringInFile (const std::string &filename, const std::string &group, const std::string &str)
void GD_API | ReadValueFromFile (const std::string &filename, const std::string &group, RuntimeScene &scene, gd::Variable &variable)
void GD_API | ReadStringFromFile (const std::string &filename, const std::string &group, RuntimeScene &scene, gd::Variable &variable)

## Detailed Description

Game Develop 2008-2014 Florian Rival (Flori.nosp@m.an.R.nosp@m.ival@.nosp@m.gmai.nosp@m.l.com)

## Function Documentation

void GD_API ExecuteCmd | ( | const std::string & | cmd) |  |

Execute a system-specific command

void GD_API GDDeleteFile | ( | const std::string & | filename) |  |

Delete a file

void GD_API LaunchFile | ( | const std::string & | file) |  |

Launch a file

void GD_API LoadFileInMemory | ( | const std::string & | filename) |  |

Load a file in memory

Here is the call graph for this function:

void GD_API UnloadFileFromMemory | ( | const std::string & | filename) |  |

Unload a file from memory

Here is the call graph for this function: